Get all topologies
GET
/topologies
const url = 'https://antimony.example.com/api/topologies';const options = {method: 'GET', headers: {Authorization: 'Basic <credentials>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://antimony.example.com/api/topologies \ --header 'Authorization: Basic <credentials>'Authorizations
Section titled “Authorizations”Responses
Section titled “Responses”OK
Media typeapplication/json
object
payload
Array<object>
object
annotations
string
bindFiles
Array<object>
object
content
string
filePath
string
id
string
topologyId
string
collectionId
string
creator
object
id
string
name
string
definition
string
id
string
lastDeployFailed
boolean
policyFindings
Array<object>
object
impact
string
message
string
path
string
ruleId
string
syncUrl
string
Example
{ "payload": [ { "policyFindings": [ { "impact": "deploy", "ruleId": "netlab" } ] } ]}The user isn’t authorized
Media typeapplication/json
Access to the resource was denied. Details in the request body.
Media typeapplication/json
object
code
integer
message
string
Example generated
{ "code": 1, "message": "example"}The provided access token is not valid
Media typeapplication/json